Package com.independentsoft.office.word

# Enum Class DocumentProtectionType

java.lang.Object
java.lang.Enum<DocumentProtectionType>
com.independentsoft.office.word.DocumentProtectionType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentProtectionType>`, `Constable`

public enum DocumentProtectionType extends Enum<DocumentProtectionType>
The Enum DocumentProtectionType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMENTS`
  `FORMS`
  `NONE`
  `READ_ONLY`
  `TRACKED_CHANGES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentProtectionType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentProtectionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMMENTS

    public static final DocumentProtectionType COMMENTS

  - ### FORMS

    public static final DocumentProtectionType FORMS

  - ### READ_ONLY

    public static final DocumentProtectionType READ_ONLY

  - ### TRACKED_CHANGES

    public static final DocumentProtectionType TRACKED_CHANGES

  - ### NONE

    public static final DocumentProtectionType NONE

- ## Method Details

  - ### values

    public static DocumentProtectionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentProtectionType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null